Loading...
Searching...
No Matches
L4Re::Event_buffer_t< PAYLOAD >::Event Struct Reference

Event structure used in buffer. More...

`#include <event>`

Collaboration diagram for L4Re::Event_buffer_t< PAYLOAD >::Event:

## Public Member Functions

void | free () noexcept
| Free the entry.

## Data Fields

long long | time
| Event time stamp.

## Detailed Description

template<typename PAYLOAD = Default_event_payload>
struct L4Re::Event_buffer_t< PAYLOAD >::Event

Event structure used in buffer.

Definition at line 253 of file event.

The documentation for this struct was generated from the following file:

- l4/re/event